Subject: Re: bug#22528: 25.0.90; Gnus is displaying HTML messages in an alien font

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Feb 2016 18:59:35 +1100

[email-masked] (N. Jackson) writes:

> After upgrade to the pre-test of Emacs 25, Gnus is no longer using my
> preferred font to display HTML mail/news messages.
>
> I have carefully configured my default font in Emacs to one that I can
> read easily despite an astigmatism. Naturally I want my email and news
> messages to be displayed in this font. In the Emacs 25 pre-test,
> messages in HTML are being displayed in another font (a sans-serif
> proportional one) that is much harder to read.

Set `shr-use-fonts' if you don't want the HTML rendered with fonts.

> Furthermore (possibly unrelated?), when these HTML messages are
> displayed I'm seeing repeated "Invalid face reference" messages in the
> Messages buffer, for example:
>
>     Invalid face reference: nil [194 times]
>     Mark set

This has been fixed in Emacs now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no